local const = {
	textx = 200,
	texty = 150,
	titlex =230,
	titley =230,
	texttime = 4,
	textw = 400,
	r = 0x3f,
	g = 0xf4,
	b = 0x77, 
}

local function update(me, dt, stor)
	me.time = me.time - dt
	if me.time < 0 then
		stor:remove(me)
	end
end

local function draw(me)
	love.graphics.setFont(me.font)
	love.graphics.setColor(const.r, const.g, const.b, me.time/const.texttime*0xff)
	love.graphics.printf(me.text, const.textx, const.texty, const.textw, 'center')
	love.graphics.reset()
end


function newBleaker(text, font)
	return setmetatable( {
		font = font,
		update = update,
		draw = draw,
		text = text,
		time = const.texttime,
		drawtop = true,
	}, {} )
end


return setmetatable({}, {__call = function(_, ...) return newBleaker(...) end} )
